-- net selmusic underlay
local under = Def.ActorFrame{
	Def.ActorFrame{
		InitCommand=cmd(x,SCREEN_CENTER_X-156;y,SCREEN_CENTER_Y);

		-- main box
		LoadActor( THEME:GetPathB("ScreenSelectMusic", "decorations/"..HDActor("_under")) )..{
			Name="Under";
			InitCommand=cmd(diffusealpha,0);
			OnCommand=cmd(linear,0.2;diffusealpha,1);
			OffCommand=cmd(linear,0.2;zoomy,0;diffusealpha,1);
		};
		-- chat output box
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_square blackinset transparent normal", 256, 90 )..{
			Name="ChatOutBox";
			InitCommand=cmd(y,8);
		};
		-- chat input box
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_rounded blackinset transparent normal", 256, 24 )..{
			Name="ChatInBox";
			InitCommand=cmd(y,96);
		};
	};
	LoadActor(THEME:GetPathB("ScreenSelectMusic","underlay"));
};

return under;